SYNK
GET/ai/artist-summary

A short summary of an artist, suitable for a card or tooltip. Grounded on the biography, the structured artist facts, and the top-tracks list.

Rate limit
10 req/hr
Caching
Generations cached 30 days per artist and sentence count.

Notes

  • If an artist has had a summary generated for them before, then every other request for the same artist will have the same response. This is to cut down on errors such as being rate limited, costs, and so forth. This endpoint also has very aggressive rate limiting.
  • Cached responses do not count towards your hourly quota.
  • Different sentences values are cached separately.
Authentication
Send a User-Agent header containing a contact email. See authentication.

Parameters

NameTypeRequiredDescription
artiststringrequiredArtist name.
sentencesintegeroptionalHow long the summary should be, between 1 and 5. Defaults to 3.

Request

curl 'https://api.synkradio.co.uk/ai/artist-summary?artist=Daft%20Punk' \
  -H 'User-Agent: [email protected]'

Try it

GETTry it
Sends a real request
https://api.synkradio.co.uk/ai/artist-summary?artist=Sigala&sentences=2

Response

200 application/json
{
  "artist": "Sigala",
  "sentences": 2,
  "summary": "Sigala, the stage name of English DJ and record producer Bruce Fielder, is known for his dance‑oriented pop productions that frequently reach the UK charts. He has scored eight top‑ten singles on the UK Singles Chart, including his 2015 debut “Easy Love,” which interpolates the Jackson 5’s “ABC.”",
  "generatedAt": "2026-09-14T20:26:35.470Z"
}

Response schema

FieldTypeExampleDescription
artiststring"Sigala"Primary artist, either as a string or nested object.
sentencesnumber2
summarystring"Sigala, the stage name of English DJ and…"
generatedAtstring"2026-09-14T20:26:35.470Z"